#### D.15.4.12 difformPrint

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df; df difform

Side effects:
  prints the differential form

Remarks:
  Uses the procedure difformToString with a ds-ordering on the generators

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    //////////////////////////
    // Application of Print //
    //////////////////////////
    difform df = 3*x*dx - y*dx*dy + 12*dx*dy*dz - dz*dy + 3 + 12*x*dx;
    df;
    ==> 3+15x*dx+(-y)*dx*dy+dy*dz+12*dx*dy*dz
    ==>
    kill Omega_R,df,dx,dy,dz;

See also: difformGenToString; difformToString.

User manual for Singular version 4.4.1, 2025, generated by texi2html.